Luxor PlatformAPI DocumentationMining PoolReporting

Get summary

Returns a list of all summary associated to a Workspace.

GET
/v2/pool/summary/{currency_type}

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

currency_type*string

Which currency to query, e.g. BTC or DOGE.

Value in

  • "BTC"
  • "LTC_DOGE"
  • "SC"
  • "ZEC"

Query Parameters

subaccount_names?|array<>|array<>
site_id?|

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/pool/summary/BTC"
{  "currency_type": "BTC",  "subaccounts": [    {      "id": 1,      "name": "my_subaccount",      "site": {        "id": "b0a5fad8-0e09-4f10-ac20-ccd80fb2d138",        "name": "My Site",        "url": "/v2/workspace/sites/b0a5fad8-0e09-4f10-ac20-ccd80fb2d138"      },      "created_at": "2019-08-24T14:15:22Z",      "url": "/v2/pool/subaccounts/my_subaccount"    }  ],  "hashrate_5m": "1035827914295214",  "hashrate_1h": "1035827914295214",  "hashrate_24h": "1035827914295214",  "hashrate_stale_1h": "1035827914295214",  "hashrate_stale_24h": "1035827914295214",  "efficiency_5m": 0.9960606098175049,  "uptime_24h": 0.9960606098175049,  "active_miners": 124332,  "revenue_24h": [    {      "currency_type": "BTC",      "revenue_type": "MINING",      "revenue": 0.00066154    }  ],  "revenue_all_time": [    {      "currency_type": "BTC",      "revenue_type": "MINING",      "revenue": 0.00066154    }  ],  "hashprice": [    {      "currency_type": "BTC",      "value": 0.00059629    }  ],  "balance": [    {      "currency_type": "BTC",      "revenue": 0.00059629    }  ]}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}